Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 136282 - bochs 2.2.6 fails building docs
Summary: bochs 2.2.6 fails building docs
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo SGML herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-10 05:35 UTC by Patrizio Bassi
Modified: 2007-08-25 12:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrizio Bassi 2006-06-10 05:35:35 UTC
make[1]: Entering directory
`/mnt/Dati/Gentoo/tmp/portage/bochs-2.2.6/work/bochs-2.2.6/doc/docbook'
mkdir -p user
/usr/bin/docbook2html -o user ./user/user.dbk
Using catalogs: /etc/sgml/sgml-docbook-4.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#html
Working on:
/mnt/Dati/Gentoo/tmp/portage/bochs-2.2.6/work/bochs-2.2.6/doc/docbook/./user/user.dbk
jade:/usr/share/sgml/docbook/sgml-dtd-4.1/dbcent.mod:53:65:W: cannot generate
system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols:
Arrow Relations//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-4.1/dbcent.mod:54:8:E: reference to
entity "ISOamsa" for which no system identifier could be generated


[cut]

jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sr.dsl:3:5:E:
reference to entity "lat2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sr.dsl:2:0:
entity was defined here
make[1]: *** [user/index.html] Error 8
make[1]: Leaving directory
`/mnt/Dati/Gentoo/tmp/portage/bochs-2.2.6/work/bochs-2.2.6/doc/docbook'
make: *** [build_docbook] Error 2

!!! ERROR: app-emulation/bochs-2.2.6 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  bochs-2.2.6.ebuild, line 98:   Called die
Comment 1 M. Edward Borasky 2006-11-29 19:41:12 UTC
I just downloaded 2.3 from the upstream home page. With the default "configure", it does the same thing. However, if I do "--disable docbook" in the configure, it goes all the way to completion. So maybe the easiest thing to do is add a "doc" USE flag to this and mark it unstable till the documentation issue is resolved.

I'm guessing it's some kind of docbook configuration issue -- it must work for the upstream folks.
Comment 2 Leonardo Boshell (RETIRED) gentoo-dev 2007-03-15 01:51:18 UTC
I haven't looked at bochs' sources, but from comment #1 it does look like a good idea to link the 'doc' USE flag with the --enable-docbook option.

Other than that, the original report looks like an example of a common problem we've seen in the past regarding corrupted SGML catalogs. Does "emerge sgml-common" change anything?
Comment 3 Leonardo Boshell (RETIRED) gentoo-dev 2007-08-14 23:10:21 UTC
No further feedback from the reporter
Comment 4 Patrizio Bassi 2007-08-25 12:28:25 UTC
sorry, i completly missed the mail from this bug, however i confirm it's fixed after building sgml stuff